import React from "react";

const Meta = ({ meta, url }) => {
  return (
    <>
      {meta && meta?.title && <meta name="title" content={meta?.title} />}
      {meta && meta?.description && (
        <meta name="description" content={meta?.description} />
      )}
      {meta && meta?.keywords && (
        <meta name="keywords" content={meta?.keywords} />
      )}
      {meta && meta?.ogTitle && (
        <meta property="og:title" content={meta?.ogTitle} />
      )}
      {meta && meta?.ogDescription && (
        <meta property="og:decription" content={meta?.ogDescription} />
      )}
      {meta && (meta?.ogUrl || url) && (
        <meta
          property="og:url"
          content={
            url ? `https://easetolearn.com/${url}` : meta?.ogUrl
          }
        />
      )}
      <meta property="og:type" content="website" />
      <meta
        property="og:image"
        content="https://media.easetolearn.com/CompanyLogo.png"
      />
      <meta property="og:image:width" content="500" />
      <meta property="og:image:height" content="500" />
      {meta && meta?.twitterTitle && (
        <meta name="twitter:title" content={meta?.twitterTitle} />
      )}
      {meta && meta?.twitterDescription && (
        <meta
          property="twitter:decription"
          content={meta?.twitterDescription}
        />
      )}
      <meta name="twitter:site" content="@easetolearn" />
      {meta && (meta?.twitterUrl || url) && (
        <meta name="twitter:url" content={url ? `https://easetolearn.com/${url}` : meta?.twitterUrl} />
      )}
      <meta
        property="twitter:image"
        content="https://media.easetolearn.com/CompanyLogo.png"
      />
      <meta property="twitter:image:width" content="500" />
      <meta property="twitter:image:height" content="500" />
    </>
  );
};

export default Meta;
