import React from "react";
import Card from "@mui/material/Card";
import CardContent from "@mui/material/CardContent";
import Typography from "@mui/material/Typography";
import Cookies from "js-cookie";

export default function CardCourses(props) {
  const createAccount = () => {
    if (props?.joinFree) {
      Cookies.set(
        "courseDetails",
        JSON.stringify({
          subscriptionType: "Free",
          courseId: props?.objCourse?.courseId,
          courseName: props?.objCourse?.courseTitle,
          packId: "",
          promoCode: "",
        })
      );
    }
  };
  
  return props.objCourse && props.objCourse.courseUrl ? (
    <div style={{ float: "left", marginRight: 10, marginBottom: 10 }}>
      <a
        onClick={createAccount}
        href={`${
          props?.accountDetails
            ? props?.joinFree
              ? "/create-account-process?user=new"
              : "/packages?course=" + props.objCourse.courseUrl
            : "/course/" +
              props.objCourse.courseUrl
                .trim()
                .replaceAll(" ", "-")
                .toLowerCase()
        }`}
      >
        <Card
          style={
            props.device === "mobile"
              ? {
                  width: 150,
                  minHeight: 175,
                  borderRadius: 20,
                  paddingRight: 10,
                }
              : {
                  maxWidth: 300,
                  minHeight: 205,
                  borderRadius: 20,
                  paddingRight: 10,
                  display: "flex",
                  flexDirection: "column",
                  alignItems: "flex-start",
                  justifyContent: "center",
                }
          }
        >
          <CardContent style={{ width: "100%" }}>
            <Typography
              component="div"
              style={{ textAlign: "left", color: "#fea7ca" }}
            >
              <img
                loading="lazy"
                alt="course icon ETL"
                src="/corsicon.webp"
                style={
                  props.device === "mobile" ? { height: 25 } : { height: 40 }
                }
              />
            </Typography>
            <Typography
              mt={5}
              variant="h6"
              style={{
                textAlign: "left",
                fontWeight: "bold",
                color: "#22436E",
                fontSize: "16px",
              }}
            >
              {props.objCourse.courseTitle}
            </Typography>
            {props.device !== "mobile" ? (
              <Typography
                component="div"
                variant="body2"
                gutterBottom
                sx={{ textAlign: "left", color: "#22436E" }}
              >
                <div
                  style={{
                    marginTop: 10,
                    width: 300,
                    minHeight: 52,
                    paddingRight: 25,
                    fontSize: 12,
                  }}
                >
                  {props.objCourse.courseSubTitle}
                </div>
              </Typography>
            ) : null}
          </CardContent>
        </Card>
      </a>
    </div>
  ) : null;
}
