import React from "react";
import { makeStyles } from "@material-ui/core/styles";
import { Box } from "@material-ui/core";
import Copyright from "./Copyright";
import Link from "next/link";

const useStyles = makeStyles((theme) => ({
  sectionDesktop: {
    display: "none",
    [theme.breakpoints.up("md")]: {
      display: "flex",
    },
  },
  sectionMobile: {
    display: "flex",
    [theme.breakpoints.up("md")]: {
      display: "none",
    },
  },
}));

export default function Footer() {
  const classes = useStyles();

  return (
    <Box>
      <footer>
        <div className="footer-grid">
          <div className="footer-widget social">
            <div className="logo">
              <a aria-label="logo" href="/">
                <img loading="lazy" alt="ease to learn logo" src="/logo.webp" width={100} height={55} />
              </a>
            </div>

            <div className="social-links">
              <a href="https://www.facebook.com/easetolearn/" target="_blank">
                <img
                  loading="lazy"
                  alt="facebook meta logo ETL"
                  src="/Vectorfacebook.svg"
                  width={28}
                  height={28}
                />
              </a>

              <a href="https://twitter.com/easetolearn?lang=en" target="_blank">
                <img
                  loading="lazy"
                  alt="twitter logo ETL"
                  src="/Vectortwiiter.svg"
                  width={28}
                  height={28}
                />
              </a>

              <a
                href="https://www.instagram.com/easetolearn_official/"
                target="_blank"
              >
                <img
                  loading="lazy"
                  alt="instagram logo ETL"
                  src="/instagram.svg"
                  width={28}
                  height={28}
                />
              </a>

              <a
                href="https://www.youtube.com/@my_easetolearn"
                target="_blank"
              >
                <img
                  loading="lazy"
                  alt="youtube logo"
                  src="/youtube.svg"
                  width={28}
                  height={28}
                />
              </a>
            </div>
          </div>

          <div className="footer-widget link">
            <h5>Information</h5>
            <Link href="/terms"> Terms & Conditions </Link>
            <Link href="/privacy-policy">Privacy Policy</Link>
            <Link href="/sitemap">Sitemap</Link>
          </div>

          <div className="footer-widget link">
            <h5>Others</h5>
            <Link href="/aboutus">About Us</Link>

            <Link href="/contactus">Contact Us</Link>

            <Link href="/faq">FAQ's</Link>

            <Link href="/download">Download</Link>
          </div>

          <div className="footer-widget link">
            <h5>Courses</h5>
            <Link href="https://easetolearn.com/course/jee-main">JEE MAIN</Link>

            <Link href="https://easetolearn.com/course/neet-ug">NEET UG</Link>

            <Link href="https://easetolearn.com/course/fmge-">FMGE</Link>

            <Link href="https://easetolearn.com/course/nda-">NDA</Link>

            <Link href="https://easetolearn.com/course/cat">CAT</Link>

            <Link href="/courses/engineering">more...</Link>
          </div>

          <div className="footer-widget info">
            <p>
              {" "}
              <b>1001-C, Westend Mall, Janakpuri, West Delhi, Delhi, 110058</b>
            </p>

            <p>
              <b>Phone: </b> +91 8178388120{" "}
            </p>

            <p>
              <b>Email: </b> info@easetolearn.com{" "}
            </p>
          </div>
        </div>

        <div className="footer-bottom">
          <Copyright />
        </div>
      </footer>
    </Box>
  );
}
