import React from 'react';
import { Button, Grid, Container } from '@material-ui/core';
import { makeStyles } from '@material-ui/core/styles';

const useStyles = makeStyles((theme) => ({
  root: {
    background: 'linear-gradient(45deg, #3366cc 20%, #ff00ff 90%)',
    border: 0,
    borderRadius: 10,
    boxShadow: '0 3px 5px 2px rgba(255, 105, 135, .3)',
    color: 'white',
    height: 48,
    padding: '0 30px',
    marginTop: '30px',
  },
  sectionDesktop: {
    display: 'none',
    [theme.breakpoints.up('md')]: {
      display: 'flex',
    },
  },
  sectionMobile: {
    display: 'flex',
    [theme.breakpoints.up('md')]: {
      display: 'none',
    },
  },
}));

export default function TopBanner(props) {
  const classes = useStyles();

  const handleWindowLocation = (event) => {
      event.preventDefault();
      window.location.href='doctors/'+props.selectedCity;
  }

  return (
    <div className="top-banner-box">
        <Container className={classes.sectionDesktop}> 
            <Grid container spacing={3}>
                    <Grid item xs={7}>
                        <h3>Goodbye doubts</h3>
                        <h1>Namaste Doctor!</h1>
                        <h2>Find Doctors Near You, Select your preferred doctor &amp; hospital</h2>
                        <p><Button onClick={handleWindowLocation} className={classes.root} size="large">Find Doctors</Button></p>
                    </Grid> 
                    <Grid item xs={5} style={{textAlign:'center'}}>
                          <img loading="lazy" alt="apollo consultation demo ETL" src="/images/online-consult-image.webp" />
                    </Grid>
            </Grid>
        </Container>
    </div>
  );
}



