import React from 'react';
import Head from 'next/head';
//import Image from 'next/image';
//import fetch from 'isomorphic-unfetch';
//import {Box, Container, Grid, Link, Button} from '@material-ui/core';
import Header from "../components/Header";
import Footer from "../components/Footer";

import { styled } from '@mui/material/styles';
import ArrowForwardIosSharpIcon from '@mui/icons-material/ArrowForwardIosSharp';
import MuiAccordion from '@mui/material/Accordion';
import MuiAccordionSummary from '@mui/material/AccordionSummary';
import MuiAccordionDetails from '@mui/material/AccordionDetails';
import Typography from '@mui/material/Typography';

//import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
//import { faStar, faSearch, faArrowRight, faBookOpen, faAward, faPlay, faArrowDown } from '@fortawesome/free-solid-svg-icons'
import { useSelector } from 'react-redux';
//import { faCaretRight } from '@fortawesome/free-brands-svg-icons';

const Accordion = styled((props) => (
	<MuiAccordion disableGutters elevation={0} square {...props} />
  ))(({ theme }) => ({
	border: `1px solid ${theme.palette.divider}`,
	'&:not(:last-child)': {
	  borderBottom: 0,
	},
	'&:before': {
	  display: 'none',
	},
  }));
  
  const AccordionSummary = styled((props) => (
	<MuiAccordionSummary
	  expandIcon={<ArrowForwardIosSharpIcon sx={{ fontSize: '0.9rem' , color: '#000000' }} />}
	  {...props}
	/>
  ))(({ theme }) => ({
	backgroundColor: '#1f407a',
	color: '#000000',
	flexDirection: 'row-reverse',
	'& .MuiAccordionSummary-expandIconWrapper.Mui-expanded': {
	  transform: 'rotate(90deg)',
	},
	'& .MuiAccordionSummary-content': {
	  marginLeft: theme.spacing(1),
	},
  }));
  
  const AccordionDetails = styled(MuiAccordionDetails)(({ theme }) => ({
	padding: theme.spacing(2),
	borderTop: '1px solid rgba(0, 0, 0, .125)',
  }));


export default function Faq(props) {
	
  const cityListing = useSelector(state => state.cityListing);
  const myCity = (cityListing.map(city => (city.name))).toString().toLowerCase();
  const [selectedCity, setCity] = React.useState("delhi");

  const [expanded, setExpanded] = React.useState('panel1');

  const handleChange = (panel) => (event, newExpanded) => {
    setExpanded(newExpanded ? panel : false);
  };

  React.useEffect(() => {
	setCity(myCity);
  });


  return (
    <>
      <Head>
        <title>EaseToLearn Help Centre | Frequently Asked Questions</title>
        <meta name="description" content="Frequently Asked Questions on Self Assessor & Study Material | MY Study Room | SSC | Medical | UPSC | Govt Exam Preparation | Mock Test | Online Test Series" />
        <meta name="keywords" content="Online Tests for Recruitment &amp; Entrance Exams" />
        <link rel="icon" href="/favicon.ico" />
 
      </Head>

      <main>

      <Header />




<div className="mybody" style={{marginTop:30}}>
  
   
  
  
  
  <section className="mycontainer ">
	  <div className="barbox-head color-dark">
		  <h2 className="fixhead">Frequently Asked Questions</h2>
		  <div className="bar bg-dark">
		  </div>
	  </div>
  </section>
  
  <section className="mycontainer relative ">
		
<div className="ZMuiAccordion">
      <Accordion expanded={expanded === 'panel1'} onChange={handleChange('panel1')}>
        <AccordionSummary aria-controls="panel1d-content" id="panel1d-header">
          <Typography>Are ETL services paid or free?</Typography>
        </AccordionSummary>
        <AccordionDetails>
          <Typography>
		  Lorem ipsum dolor sit amet, consectetur adipiscing elit. Semper bibendum suspendisse nunc adipiscing vestibulum, diam nisl orci. Non senectus dui tempus dolor cras placerat. Dictum et in eros, ligula vel amet euismod donec.
          </Typography>
        </AccordionDetails>
      </Accordion>
      <Accordion expanded={expanded === 'panel2'} onChange={handleChange('panel2')}>
        <AccordionSummary aria-controls="panel2d-content" id="panel2d-header">
          <Typography>ETL services are available for students of which grades?</Typography>
        </AccordionSummary>
        <AccordionDetails>
          <Typography>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse
            malesuada lacus ex, sit amet blandit leo lobortis eget. Lorem ipsum dolor
            sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex,
            sit amet blandit leo lobortis eget.
          </Typography>
        </AccordionDetails>
      </Accordion>
      <Accordion expanded={expanded === 'panel3'} onChange={handleChange('panel3')}>
        <AccordionSummary aria-controls="panel3d-content" id="panel3d-header">
          <Typography>How to learn via assessment in Self Assessor?</Typography>
        </AccordionSummary>
        <AccordionDetails>
          <Typography>
            Lorem ipsum dolor sit amet, consectetur adipiscing elit. Suspendisse
            malesuada lacus ex, sit amet blandit leo lobortis eget. Lorem ipsum dolor
            sit amet, consectetur adipiscing elit. Suspendisse malesuada lacus ex,
            sit amet blandit leo lobortis eget.
          </Typography>
        </AccordionDetails>
      </Accordion>
    </div>
  </section>
 
  
 
  
		  <div className="margin-bottommin-res">
  
		  </div>
  
  
  
  
		 
							  
									
	  </div>
  
  



      
      <Footer />

	  

      </main>

    </>
  )
}


 