import React from "react";
import Head from "next/head";
///import { useRouter } from 'next/router';
import CircularProgress from "@mui/material/CircularProgress";
import CheckCircleOutlineIcon from "@mui/icons-material/CheckCircleOutline";
import { Box, Grid } from "@material-ui/core";
import Header from "../components/Header";
import Footer from "../components/Footer";

export default function page(props) {
  //   const router = useRouter()
  //   const param = router.query || [];
  ///console.log('dddd= '+param.sid);

  React.useEffect(() => {
    if (props.data.responseTxt === "success") {
      window.location.href =
        process.env.NEXT_PUBLIC_LOGIN_URL + "/logindirect?loginKey=" + props.data.loginKey;
    } else if (props.data.responseTxt === "failed") {
      window.location.href = "/";
    }
  }, []); //Math.random()

  return (
    <>
      <Head>
        <title>Creating your account</title>
        <meta name="description" content="Creating your account" />
        <meta name="keywords" content="Creating your account" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main>
        <Header />

        <Box className="mainBox">
          <Box className="createAccountBox">
            <Grid container>
              <Box mt={1}>
                <Grid container spacing={2}>
                  <Grid item md={12} xs={12} style={{ textAlign: "center" }}>
                    <div>
                      <CheckCircleOutlineIcon
                        style={{ fontSize: 60, color: "#32cd32" }}
                      />
                    </div>
                    <h3 className="heading" style={{ color: "#32cd32" }}>
                      Payment transaction has been completed successfully.
                    </h3>
                    <h3>
                      <CircularProgress size={18} color={"inherit"} />{" "}
                      Redirecting to login page
                    </h3>
                  </Grid>
                </Grid>
              </Box>
            </Grid>
          </Box>
        </Box>

        <Footer />
      </main>
    </>
  );
}

export async function getServerSideProps(context) {
  const param = context.query || [];
  const res = await fetch(
    process.env.NEXT_PUBLIC_API_URL + "/website-studentloginkey?studentId=" + param.sid
  );
  const data = await res.json();
  return { props: { data } };
}
