import React from 'react';
import { makeStyles } from '@material-ui/core/styles';
import {Box, Container, Grid, Link, Button} from '@material-ui/core';
import Header from "../components/Header";
import Footer from "../components/Footer";
import Breadcrumbs from "../components/Breadcrumbs";
///import Dialog from "../components/ImageDialog";

const useStyles = makeStyles((theme) => ({
	root: {
		background: 'linear-gradient(45deg, #33ccff 30%, #0000ff 90%)',
		border: 0,
		borderRadius: 22,
		boxShadow: '0 3px 5px 2px rgba(255, 105, 135, .3)',
		color: 'white',
		height: 48,
		padding: '0 30px',
		marginTop: '30px',
	  },
	  sectionDesktop: {
	  display: 'none',
	  [theme.breakpoints.up('md')]: {
		display: 'flex',
	  },
	},
	sectionMobile: {
	  display: 'flex',
	  [theme.breakpoints.up('md')]: {
		display: 'none',
	  },
	},
  }));

  export default function Execute() {

	const classes = useStyles();

		return (
			<div>
				<Header />
				<Container>
					<div style={{marginTop:'10px'}}>
						<Breadcrumbs />
					</div>
					<div className="profile-detail-box">
								<Box mt={4} >
									<Grid container spacing={2} >
											<Grid xs={8}>
												<h4>Dr. Yuvraj Arora Monga</h4>
												<p>MBBS, MD - Pharmacology, Fellowship in Diabetes (UK)</p>
												<p>General Physician, Sexologist</p>
												<p>24 Years Experience Overall  (24 years as specialist)</p>
												<p><i className="fa fa-check-circle" /> Medical Registration Verified</p>
											</Grid>
											<Grid xs={3} style={{textAlign:'center'}} >
												<img src='/images/article-detail.webp' alt="image ETL" />
											</Grid>
									</Grid>
									<Grid container spacing={2} >
										<Grid xs={12}>
										<p>Dr. Yuvraj Monga M.B.B.S, MD is a general physician who practices integrated medicine combining allopath system with ayurveda. His therapy areas include management of diabetes, hypothyroidism, counselling for relationship issues and sexual problems for both men and women. Many individuals and couples have benefited from his counseling /treatments.

His motto is to share and spread the best of information about ancient old heritage healing system of Indian culture- "Ayurveda" and how to integrate with modern healthcare systems do that most of the patients can benefit from the same.

His specialization in clinical pharmacology gives him the ability to understand the properties of ayurvedic medicines as well as allopathy system none other than an expert. This gives him an advantage /edge over many routine physicians. A jovial person, Dr. Yuvraj likes to spend time reading books and listening to music, traveling and keeps himself updated on socio-economic subjects.
</p>

										</Grid>
									</Grid>

									<Grid container spacing={2} >
										<Grid xs={5}>
												<h4>Lajpat Nagar, Delhi</h4>
												<p>#20, National Park, Lajpat Nagar-4, New Delhi, Landmark: Near Moolchand Metro Station, Delhi</p>
												<p><Link href="https://goo.gl/maps/2sFbgsNt6rBgTJvJA">Get Directions</Link></p>
										</Grid>
										<Grid xs={6}>
											<p>Mon - Tue, Thu - Sat</p>
											<p>10:05 AM - 12:55 PM</p>
											<p>03:35 PM - 09:15 PM</p>
											<p>Wed</p>
											<p>10:05 AM - 02:25 PM</p>
											<p>07:05 PM - 09:15 PM</p>
											<p>Sun</p>
											<p>10:00 AM - 02:25 PM</p>
											<p>05:50 PM - 09:15 PM</p>
										</Grid>

									</Grid>

									<Grid container spacing={2} >
										<Grid xs={5}>
												<h4>Lajpat Nagar, Delhi</h4>
												<p>#20, National Park, Lajpat Nagar-4, New Delhi, Landmark: Near Moolchand Metro Station, Delhi</p>
												<p><Link href="https://goo.gl/maps/2sFbgsNt6rBgTJvJA">Get Directions</Link></p>
										</Grid>
										<Grid xs={6}>
											<p>Mon - Tue, Thu - Sat</p>
											<p>10:05 AM - 12:55 PM</p>
											<p>03:35 PM - 09:15 PM</p>
											<p>Wed</p>
											<p>10:05 AM - 02:25 PM</p>
											<p>07:05 PM - 09:15 PM</p>
											<p>Sun</p>
											<p>10:00 AM - 02:25 PM</p>
											<p>05:50 PM - 09:15 PM</p>
										</Grid>

									</Grid>

									<Grid container spacing={2} >
										<Grid xs={5}>
												<h4>Lajpat Nagar, Delhi</h4>
												<p>#20, National Park, Lajpat Nagar-4, New Delhi, Landmark: Near Moolchand Metro Station, Delhi</p>
												<p><Link href="https://goo.gl/maps/2sFbgsNt6rBgTJvJA">Get Directions</Link></p>
										</Grid>
										<Grid xs={6}>
											<p>Mon - Tue, Thu - Sat</p>
											<p>10:05 AM - 12:55 PM</p>
											<p>03:35 PM - 09:15 PM</p>
											<p>Wed</p>
											<p>10:05 AM - 02:25 PM</p>
											<p>07:05 PM - 09:15 PM</p>
											<p>Sun</p>
											<p>10:00 AM - 02:25 PM</p>
											<p>05:50 PM - 09:15 PM</p>
										</Grid>

									</Grid>


								</Box>	
					</div>




				</Container>
				<Footer />
			</div>
		);
 
}