import React from 'react';
import Head from 'next/head';
//import Image from 'next/image';
//import fetch from 'isomorphic-unfetch';
import { makeStyles } from '@material-ui/core/styles';
//import {Box, Container, Grid, Link, Button} from '@material-ui/core';
import Header from "../components/Header";
import Footer from "../components/Footer";
import TabsHomeBlogs from "../components/TabsHomeBlogs";
import TabsHomeCourses from "../components/TabsHomeCourses"; 
import TabsHomeTestimonial from "../components/TabsHomeTestimonial";
//import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
//import { faStar, faSearch, faArrowRight, faBookOpen, faAward, faPlay, faArrowDown } from '@fortawesome/free-solid-svg-icons'
import { useSelector } from 'react-redux';
//import { faCaretRight } from '@fortawesome/free-brands-svg-icons';

const useStyles = makeStyles((theme) => ({
	root: {
		background: 'linear-gradient(45deg, #33ccff 30%, #0000ff 90%)',
		border: 0,
		borderRadius: 22,
		boxShadow: '0 3px 5px 2px rgba(255, 105, 135, .3)',
		color: 'white',
		height: 48,
		padding: '0 30px',
		marginTop: '30px',
	  },
	  sectionDesktop: {
	  display: 'none',
	  [theme.breakpoints.up('md')]: {
		display: 'flex',
	  },
	},
	sectionMobile: {
	  display: 'flex',
	  [theme.breakpoints.up('md')]: {
		display: 'none',
	  },
	},
  }));

export default function Home(props) {
  const cityListing = useSelector(state => state.cityListing);
  const myCity = (cityListing.map(city => (city.name))).toString().toLowerCase();
  const [selectedCity, setCity] = React.useState("delhi");
  const classes = useStyles();

  React.useEffect(() => {
	setCity(myCity);
  });


  return (
    <>
      <Head>
        <title>Terms and conditions | EaseToLearn - Best Online Test Series</title>
        <meta name="description" content="Online Exam Preparation | Study Material & Self Assessment - Smart Learning Provides Assessment For Learning which is Fastest Method of Learning | EaseToLearn.com" />
        <meta name="keywords" content="Online Tests for Recruitment &amp; Entrance Exams" />
        <link rel="icon" href="/favicon.ico" />
 
      </Head>

      <main>

      <Header />




<div className="mybody" style={{marginTop:30}}>
  
   
  
  
  
  <section className="mycontainer ">
	  <div className="barbox-head color-dark">
		  <h2 className="fixhead">Terms and conditions</h2>
		  <div className="bar bg-dark">
		  </div>
	  </div>
  </section>
  
  <section className="mycontainer relative ">
		<div className='termsContentBox' >
		<p>Selfassessor Educational Technologies (&quot;EaseToLearn&quot;) makes this website ( the &quot;Site&quot; ) including all information, documents, communications, files, text, graphics and software available through the Site (collectively, the &quot;Materials&quot;) and all services operated by EaseToLearn and third parties (the &quot;Services&quot;) through the Site, available for your use subject to the terms and conditions set out in this document and any changes to this document that EaseToLearn may publish from time to time. By accessing or using the Site through individual subscription you agree to and are bound by these terms and conditions.<br />
1. Easetolearn.com is an on-line assessment service, delivered via the world wide web, by Selfassessor Educational Technologies and its subcontractors. The service does not include any Internet access provision, software or equipment. All subscribers should make their own arrangements to connect to the Internet.<br />
2. In registering to use the Site, including all Services and Materials available through it, you agree to provide accurate, complete and up to date information about yourself as required by the Site registration form and maintain and update your registration data to keep it accurate, complete and up to date.<br />
3. The named individual subscriber identified in the subscription process, unless informed otherwise in writing, is assumed to be responsible for the use made of username and password. The named individual user is responsible for maintaining the confidentiality of username and password and for all activities carried out using username and password.<br />
4. Subscriptions for the service, which are licensed to the named individual subscriber, entitle access to the specified subject areas of the site for the named individual subscriber only, and must not be used to enable access to site by anyone other than the named individual subscriber.<br />
5. The Materials and Services on this Site are protected by trademark, copyright, patent and intellectual property laws and must only be used for personal use of named individual subscriber. Neither the service, nor material from it, may be re-sold, or reproduced for the use of anyone other than the named individual subscriber.<br />
6. In using the Site, including all Services and Materials available through it, you agree to not to disrupt or interfere with the security of the Site or otherwise cause harm to the Site or linked websites and not to upload viruses or destructive files.<br />
7. EaseToLearn will use all available reasonable means to ensure delivery and performance of services. In event of server failure EaseToLearn will endeavour to make alternate arrangement at the earliest. However EaseToLearn makes no warranty that the Services will be uninterrupted, timely, secure or error-free.<br />
8. Force majeure : Selfassessor Educational Technologies shall not be liable for any unforeseeable event beyond its reasonable control which causes EaseToLearn to be unable to perform its obligations under this Agreement, and which it has been unable to overcome by the exercise of due diligence, including, but not limited to, natural disasters, flood, drought, earthquake, storm, fire, pestilence, lightning and other natural catastrophes, epidemic, war, riot, civil disturbance or disobedience, strikes, labor disputes, or failure, threat of failure, or sabotage, or any order or injunction issued by a court or public agency or acts of local or central Government or other competent authorities, or communications line failure or events beyond the reasonable control of its suppliers. In the event of the occurrence of such a force majeure event EaseToLearn use its best efforts to resume performance as quickly as possible and shall suspend performance only for such period of time as is necessary as a result of the force majeure event. In such an event which prevents EaseToLearn from delivering the service for an extended period of time, more than 15 days, EaseToLearn would where appropriate endeavour to refund subscriptions for that part of the service not supplied.<br />
9. At EaseToLearn we make every effort to ensure the accuracy of material provided on this site. However EaseToLearn makes no warranties regarding the accuracy, reliability, quality or availability of service of any products, materials or services made available on the Site and EaseToLearn cannot be held liable for problems caused by any errors, or the content of linked sites. 10. EaseToLearn reserves the right to delete, modify, or supplement the content at any time for any reason without prior notification. Selfassessor Educational Technologies reserves the right to modify and develop the service.<br />
11. EaseToLearn reserves the right, at its sole discretion, to terminate or suspend your use of the Site, terminate or suspend your subscription and refuse any current or future use of the Services if it believes in good faith that you have knowingly failed to comply with the above terms and conditions or the services are being abused or continuing your subscription would endanger the service as a whole.<br />
12. EaseToLearn reserve the right to amend these terms and conditions at its sole discretion. An up to date copy of said terms and conditions will be kept on the web site. Your continued use of the Site, or any Materials or Services accessible through it, constitutes your acceptance of the updated terms and conditions.<br />
13. Mock Test / Test Pattern are made keeping in view of past exam trends for each category / subcategory. On each Test pattern everytime a new test is created for users to pratice on the same. Users can take any number of Mock Test / Old papers / Test Pattern on each test pattern. As Mock test is randomly built on each test pattern, you will be getting a different set of questions each time (There can be exceptions in very few cases where some questions may get repeated).<br />
14. The Mock Test /Test pattern comprise of specifics number of questions from specific topics / specific question types / specific difficulty level / specific marks and fixed number of total questions to be completed in set time.<br />
15. Users can view time, number of questions per topic / subtopic and difficulty level assigned in each Mock Test / Old Papers / Test Pattern before taking the test.<br />
This Agreement operates to the fullest extent permissible by law. If any provision of this Agreement is unlawful, void or unenforceable, that provision is deemed severable from this Agreement and does not affect the validity and enforceability of any remaining provisions.</p></div>
  </section>
 
  
 
  
		  <div className="margin-bottommin-res">
  
		  </div>
  
  
  
  
		 
							  
									
	  </div>
  
  



      
      <Footer />

	  

      </main>

    </>
  )
}
/*
export async function getServerSideProps() {
	const [specialitiesRes, healthissuesRes, articlesRes] = await Promise.all([		
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/specialities?maxrows=6'),
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/healthissues?maxrows=6'), 
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/articles?maxrows=3')	  
	]);
	const [specialities, healthissues, articles] = await Promise.all([
		specialitiesRes.json(),
		healthissuesRes.json(), 
		articlesRes.json()
	]);
	return { props: { specialities, healthissues, articles } };
}
*/

  function makeEncodeURL(str){
	let strArr = str.toLowerCase().split(" ");
	let returnURL="";
	for(let i=0; i<strArr.length; i++ ){
		returnURL+=strArr[i]+"+";
	}
	 return returnURL.trim().substring(0,returnURL.length-1);
  }	
